@echo off
title CoreAVC AVC/H.264 DirectShow Filters - Uninstall
echo --== Uninstalling: CoreAVC Professional Edition v3.0.1 x86 ==--
echo.
if exist "%windir%\sysWOW64\regsvr32.exe" goto sysWOW64
regsvr32 /u /s "%windir%\system32\CoreAVCDecoder.ax"
del /q "%windir%\system32\CoreAVCDecoder.ax"
del /q "%appdata%\coreavc.ini"
echo.
echo Uninstall complete
echo.
pause
exit

:sysWOW64
regsvr32 /u /s "%windir%\sysWOW64\CoreAVCDecoder.ax"
del /q "%windir%\sysWOW64\CoreAVCDecoder.ax"
del /q "%appdata%\coreavc.ini"
echo.
echo Uninstall complete
echo.
pause
exit
